/* Theme */

/* Typography */
:root {
    --primary-font-family: 'Coco Gothic', sans-serif;
    --secondary-font-family: 'The Seasons', garamond, sans-serif;

    /* Redo logo as png/svg image? */
    --logo-font: 'League Spartan', sans-serif;

    /* There is no consistent size, so no point in variables */
}

/* Color Palette */
:root {
    --font-color: #623e2a;
    --alt-font-color: white;
    --bg-color: #f4f1ed;
    --alt-bg-color: #efebe5;
    --footer-color: #9d7b5a;
}

/* Sizes and Breakpoints */
:root {
    --min-width: 1218px;
    --min-height: 450px;
    --max-width: 1920px;
    --max-height: 1080px;
}

/* Common */

body {
    font-family: var(--primary-font-family);
    color: var(--font-color);
    background-color: var(--bg-color);
    min-width: var(--min-width);
    text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
}

h1,
h2,
h3,
h4,
h5 {
    font-family: var(--secondary-font-family);
    font-weight: bold;
}

main {
    margin: 0 auto;
    max-width: var(--max-width);
    min-width: var(--min-width);
}

h2 {
    font-size: 45.5pt;
}

main>section:nth-child(even) {
    background-color: var(--bg-color);
}

main>section:nth-child(odd) {
    background-color: var(--alt-bg-color);
}

a,
a:link,
a:visited,
a:active {
    text-decoration: none;
    color: var(--alt-font-color);
}

a:hover {
    text-decoration: underline;
}

span.num {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* Header Lines */

.highlight {
    display: flex;
    justify-content: center;
    align-items: center;
}

.highlight::before {
    content: '';
    flex-grow: 1;
}

.highlight::after {
    content: '';
    flex-grow: 1;
}

.highlight.hr-left::before {
    margin-right: 30px;
    height: 0px;
    border: 2px solid var(--font-color);
}

.highlight.hr-left::after {
    flex-grow: 2;
}

.highlight.hr-right::after {
    margin-left: 30px;
    height: 0px;
    border: 2px solid var(--font-color);
}

.highlight.hr-right::before {
    flex-grow: 2;
}

/* Header Logo */

.lp-logo {
    font-family: 'League Spartan', sans-serif;
    font-size: 40.8pt;
    color: white;
    font-weight: bold;
    display: inline-block;
    position: relative;
    user-select: none;
}

.lp-logo::before {
    position: absolute;
    top: -22px;
    left: -17px;
    height: 59px;
    width: 60px;
    content: ' ';
    border-top: 6px solid white;
    border-left: 6px solid white;
    border-radius: 12px 0 0 0;
}

.lp-logo::after {
    right: -17px;
    bottom: -10px;
    position: absolute;
    height: 62px;
    width: 59px;
    content: ' ';
    border-bottom: 6px solid white;
    border-right: 6px solid white;
    border-radius: 0 0 12px 0;
}

.lp-logo-container {
    height: 120px;
}

a.link-btn {
    font-size: 10pt;
    font-weight: bold;
    letter-spacing: 3px;
    text-decoration: none;
    padding: 16px 52px 13px;
    color: var(--font-color);
    background-color: white;
    display: inline-block;
}

a.link-btn:hover {
    text-decoration: none;
}

/* Individual Sections: */

/* Header Section: */

section.lp-header {
    background-image: url('img/header-bg.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    min-height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

section.lp-header header {
    color: var(--alt-font-color);
    padding: 35px 55px;
    text-align: center;
}

section.lp-header header>h4 {
    font-family: var(--primary-font-family);
    font-size: 17.3pt;
    letter-spacing: 10px;
    margin: 18px;
}

section.lp-header header>h3 {
    font-size: 41.7pt;
    margin: 3px;
}

section.lp-header .lp-logo {
    top: 45px;
    left: 55px;
}

/* About Us Section: */

section.lp-about-us {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 119px;
}

section.lp-about-us article {
    flex: 1 0 450px;
}

section.lp-about-us .img-container {
    flex: 0 1 605px;
    padding: 0 45px 45px;
}

section.lp-about-us img.img-about-us {
    width: 100%;
    max-width: 605px;
    height: auto;
}

section.lp-about-us article p {
    display: block;
    font-size: 18.6pt;
    line-height: 1.5em;

    padding: 68px 30px 68px 45px;
}

/* @media screen and (max-width: 1360px) {
    section.lp-about-us .img-container {
        flex-grow: 1;
        width: 100%;
        height: auto;
        padding: 0 45px 45px;
    }
    
    section.lp-about-us img.img-about-us {
        width: 100%;
        max-width: 1360px;
        height: auto;
    }
} */

/* Activities Section: */

section.lp-activities {
    padding-top: 43px;
}

section.lp-activities h2.highlight.hr-left::before {
    margin-right: 64px;
}

section.lp-activities h2.highlight.hr-right::after {
    margin-left: 64px;
}

section.lp-activities article.what-we-do {
    text-align: center;
    font-family: var(--secondary-font-family);
}

section.lp-activities article.what-we-do p {
    max-width: 500px;
    margin: 0 auto;
    padding: 25px 0;
    font-size: 17.4pt;
}

section.lp-activities section.activities-focus {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    max-width: 1500px;
    margin: 0 auto;
}

section.activities-focus div.activity {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    flex-basis: 400px;
}

section.activities-focus div.activity div.img-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

section.activities-focus div.activity div.img-container img {
    display: inline-block;
    flex-shrink: 0;
    width: 323px;
    height: 216px;
}

section.activities-focus div.activity article {
    display: inline-block;
    width: 323px;
    min-height: 160px;
}

section.activities-focus div.activity article h5 {
    font-family: var(--primary-font-family);
    font-weight: bold;
    font-size: 13.8pt;
    padding: 14px 0;
}

section.activities-focus div.activity article p {
    font-size: 12pt;
    line-height: 1.4em;
}

/* Adaptive Lines: */

section.activities-focus div.img-container::before {
    content: '';
    flex-grow: 1;
    height: 0px;
}

section.activities-focus div.img-container::after {
    content: '';
    flex-grow: 1;
    height: 0px;
}

section.lp-activities section.activities-focus div.activity:first-child div.img-container::before{
    border: none;
}

section.lp-activities section.activities-focus div.activity:last-child div.img-container::after {
    border: none;
}

section.activities-focus div.img-container::after {
    border: 2px solid var(--font-color);
}

section.activities-focus div.img-container::before {
    border: 2px solid var(--font-color);
}

section.activities-focus div.activity:nth-child(3) div.img-container::after {
    border: none;
}

section.activities-focus div.activity:nth-child(4) div.img-container::before {
    border: none;
}

/* Advantages Section: */

section.lp-advantages {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    padding: 93px 0 45px 68px;
}

section.lp-advantages .img-container {
    flex: 0 1 507px;
    padding-bottom: 25px;
}

section.lp-advantages img.img-why-choose-us {
    width: 100%;
    max-width: 507px;
    height: 652px;
}

/* @media screen and (max-width: 1360px) {
    section.lp-advantages .img-container {
        flex-grow: 1;
        padding-right: 68px;
    }
    
    section.lp-advantages img.img-why-choose-us {
        width: 100%;
        max-width: 1360px;
        height: auto;

        aspect-ratio: 507/652;
    }
} */

section.lp-advantages article {
    flex: 1 1 550px;
    font-size: 17.8pt;
    line-height: 1.5em;
    text-align: right;
}

section.lp-advantages article div.text-container {
    padding-right: 85px;
}

section.lp-advantages article h2 {
    margin: 25px 0 44px;
    line-height: 1em;
}

section.lp-advantages article h4 {
    font-family: var(--primary-font-family);
    font-weight: bold;
    padding: 20px 0 0 60px;
}

section.lp-advantages article p {
    padding-left: 60px;
    max-width: 690px;
    margin-left: auto;
}

/* Contact Us Section: */

section.lp-contact-us {
    background-image: url('img/p5-contact-us.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    text-align: center;
    box-shadow: inset 0 0 0 2000px rgba(157, 123, 90, .5);
    min-height: 850px;
    padding-bottom: 15px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    color: var(--alt-font-color);
}

section.lp-contact-us h2 {
    font-size: 60.5pt;
    color: var(--alt-bg-color);
}

section.lp-contact-us h2::before {
    content: '';
    display: block;
    height: 85px;
    width: 0;
    margin: 0 auto;
    border: 2px solid white;
}

section.lp-contact-us article {
    font-size: 19.4pt;
    font-weight: bold;
    line-height: 1.5em;
    max-width: 1024px;
    margin-left: auto;
    margin-right: auto;
}

section.lp-contact-us p {
    margin-top: 40px;
    padding: 0 15px;
}

section.lp-contact-us hr {
    border: none;
    height: 4px;
    background-color: var(--alt-font-color);
    max-width: 256px;
}

/* Footer Section: */

section.lp-footer {
    background-color: var(--footer-color) !important;
    color: var(--bg-color);
}

section.lp-footer .lp-logo-container {
    padding: 140px 0 64px;
    text-align: center;
}

section.lp-footer section.contact-details {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    padding-bottom: 80px;
}

section.contact-details article.info h3 {
    font-family: var(--primary-font-family);
    font-size: 20pt;
    font-weight: normal;
    margin: 0 0 25px 15px;
}

section.contact-details article.info p {
    display: block;
    font-size: 13pt;
    line-height: 1.5em;
    position: relative;
    padding-left: 20px;
}

section.contact-details article.info p::before {
    content: '';
    display: inline-block;
    position: absolute;
    height: 64px;
    width: 0;
    top: 5px;
    left: -5px;
    border: 2px solid white;
}
